// PlayerHuman.h: Schnittstelle fr die Klasse PlayerHuman.
//
//////////////////////////////////////////////////////////////////////

#if !defined( AFX_PLAYERHUMAN_H__935BD79A_4478_4DF8_945D_92F5E972CE47__INCLUDED_ )
#define AFX_PLAYERHUMAN_H__935BD79A_4478_4DF8_945D_92F5E972CE47__INCLUDED_

#include "Move.h"	// Hinzugefgt von der Klassenansicht
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Player.h"
#include "MoveListGenerator.h"
#include "Board.h"

class PlayerHuman : public Player  
{
/***************************************************************************
 * Data Members
 **************************************************************************/
protected:
	MoveListGenerator Validator;

/***************************************************************************
 * Constructor / Destructor
 **************************************************************************/
public:
	PlayerHuman( int which );
	virtual ~PlayerHuman();

/***************************************************************************
 * Operations
 **************************************************************************/
	bool GetMove( Board* theBoard, Move* mov );
protected:
	virtual bool getInput( Move *InputMove, char* PawnPromotion );
};

#endif // !defined( AFX_PLAYERHUMAN_H__935BD79A_4478_4DF8_945D_92F5E972CE47__INCLUDED_ )
