/*
 * Created on 23.04.2003
 */
package javachess;
import java.io.*;


/**
 * @author Schlagmller
 *
 */
public class Debug {
	private static FileWriter Fw;
	/**
	 * This Flag indicates, whether current print() or println() has
	 * to write Tabs or not.
	 * This means, it indicates whether the last functioncall was 
	 * println().
	 */
	private static boolean Newline = true;
	/**
	 * This globally en-/disables Debug Outputs.
	 */
	public static boolean EnableOut = true;
	/**
	 * Alle Anweisungen aus den folgenden Funktionen werden verfolgt:
	 * 0 = garnicht
	 * 1 = MTDF
	 * 2 = UnrolledAlphaBeta
	 * 3 = AlphaBeta
	 * 4 = QuienscenceSearch
	 */
	public static int StackDepth = 7;
	
	/**
	 * 
	 */
	public static int Tabs = 0;
	
	public static void Open(String Filename) {
		try {
			Fw = new FileWriter(Filename);
		} catch (IOException e) {
			System.out.println("Fehler beim Erstellen der Datei");
		}
	}	
	/// with linebreak!
	public static void print(String DebugOut) {
		try {
			if ( EnableOut ) 
					{
						for (int i = 0; i < Debug.Tabs & Debug.Newline == true; i++)
							Fw.write("  ");
						Fw.write(DebugOut);
						Debug.Newline = false; 
					} 
			} catch (IOException e) {
			System.out.println("Fehler beim Schreiben in Datei");
		}
	}
	public static void println(String DebugOut) {
		try {
			if ( EnableOut ) 
				{
					for (int i = 0; i < Debug.Tabs & Debug.Newline == true; i++)
						Fw.write("  ");
					Fw.write(DebugOut + '\n');
					Debug.Newline = true; 
				} 
		} catch (IOException e) {
			System.out.println("Fehler beim Schreiben in Datei");
		}
	}
	public static void Close() {
		try {
			Fw.close();
		} catch (IOException e) {
			System.out.println("Fehler beim Schlieen der Datei");
		}

	}
}


