// BestMoves.h: Schnittstelle fr die Klasse BestMoves.
//
//////////////////////////////////////////////////////////////////////

#if !defined( AFX_BESTMOVES_H__0F9EABA5_AA98_472A_AA1C_71067C4758A0__INCLUDED_ )
#define AFX_BESTMOVES_H__0F9EABA5_AA98_472A_AA1C_71067C4758A0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
struct BestMoveEntry{
	int SourceField;
	int DestinationField;
	int Node;
	int Score;
};
class BestMoves  
{
private:
	int depth;
	static BestMoves** pthis;
	static const int MaxSearchDepth;

public:
	BestMoves( int depth );
	virtual ~BestMoves();
	static string Get( int depth, Board* theBoard, TranspositionTable* TransTable, TranspositionTable* TransTableBlack = NULL );
	static void PrintVerbose( int depth, Board* theBoard, TranspositionTable* TransTable, TranspositionTable* TransTableBlack = NULL );
	static void PrintVerboseWithNodes( int depth, Board* theBoard, TranspositionTable* TransTable, TranspositionTable* TransTableBlack = NULL );
	int storedMoves;
	BestMoveEntry* Moves;
	void Reset();
	void addMove( int SourceField, int DestinationField, int Node, int Score, bool TranspositionHit = false );
	static void Clear();
	static BestMoves* getInstance( int depth );
	static void Destroy();
	static void Create();

};

#endif // !defined( AFX_BESTMOVES_H__0F9EABA5_AA98_472A_AA1C_71067C4758A0__INCLUDED_ )
