// Debug.cpp: Implementierung der Klasse Debug.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Debug.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

Debug::Debug()
{
	EnableOut = true;
}


Debug::~Debug()
{
	ofile.close();
}



void Debug::Open( const string &filename ){

	if ( ofile.is_open() ) ofile.close();
	ofile.open( filename.c_str() );
}


void Debug::Close(){
	ofile.close();
};



void Debug::Inline( const int n ) {
	if ( EnableOut && IsReady() )
			for ( int i = 0; i < n; i++ )
				ofile << "  ";
}


void Debug::Out( const string &DebugOut ){
	if ( EnableOut && IsReady() )
		ofile << DebugOut << endl;
};


void Debug::OutTest( const string &DebugOut ){
	if ( EnableOut && IsReady() )
			ofile << DebugOut << endl;
}


void Debug::Print( const string &DebugOut ){
	if ( EnableOut && IsReady() )
		ofile << DebugOut;
};


void Debug::Println( const string &DebugOut ){
	if ( EnableOut &&  IsReady() )
			ofile << DebugOut << endl;
}


