// OpeningBookEntry.h: Schnittstelle fr die Klasse COpeningBookEntry.
//
//////////////////////////////////////////////////////////////////////

#if !defined( AFX_OPENINGBOOKENTRY_H__7474D8E6_82EE_42D8_808D_65FF0D92E078__INCLUDED_ )
#define AFX_OPENINGBOOKENTRY_H__7474D8E6_82EE_42D8_808D_65FF0D92E078__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/**
 * A signature for a board position, and the best moves for White and Black
 * in that position.
 */
class OpeningBookEntry  
{
/***************************************************************************
 * Static Constants
 **************************************************************************/
/***************************************************************************
 * Static Data Members
 **************************************************************************/
/***************************************************************************
 * Data Members
 **************************************************************************/
public:
	/** A signature for the board position stored in the entry */
  __int32 theLock;
  __int32 rating_good;
  __int32 rating_neutral;

  /** Moves */
  Move *openingMove;
  OpeningBookEntry *nextEntry;
	

/***************************************************************************
 * Constructor / Destructor
 **************************************************************************/
/***************************************************************************
 * Accessors
 **************************************************************************/
/***************************************************************************
 * Static Operations
 **************************************************************************/
/***************************************************************************
 * Operations
 **************************************************************************/


public:
	istream& read ( istream& is );
	ostream& write( ostream& os ) const;
	OpeningBookEntry();
	virtual ~OpeningBookEntry();

};

#endif // !defined( AFX_OPENINGBOOKENTRY_H__7474D8E6_82EE_42D8_808D_65FF0D92E078__INCLUDED_ )
