// PlayerHumanWinBoard.cpp: Implementierung der Klasse PlayerHumanWinBoard.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "PlayerHumanWinBoard.h"

/***************************************************************************
 * Constructor / Destructor
 **************************************************************************/

PlayerHumanWinBoard::PlayerHumanWinBoard( int which ) : PlayerHuman( which )
{

}

PlayerHumanWinBoard::~PlayerHumanWinBoard()
{

}



/***************************************************************************
 * Operations
 **************************************************************************/

// overwrites getInput of PlayerHuman - no stdin is required any more - just the input string of
// WinBoardConnection
bool PlayerHumanWinBoard::getInput( Move *InputMove, char* PawnPromotion )
{
	int cmdtype;
	string par;

	do {
		WinBoardConnection::getInstance()->ScanInput( &cmdtype, &par );

		if ( cmdtype == WinBoardConnection::CMD_REMOVE ) 
			Game::GetInstance()->restoreLastMove();
		} while ( ( cmdtype != WinBoardConnection::CMD_USERMOVE ) &&
			      ( cmdtype != WinBoardConnection::CMD_QUIT ) &&
			      ( cmdtype != WinBoardConnection::CMD_WHITE ) &&
				  ( cmdtype != WinBoardConnection::CMD_RESIGN ) );
		if (WinBoardConnection::firstMove == true) {
			if ( cmdtype == WinBoardConnection::CMD_WHITE ) {
				WinBoardConnection::changeAI = true;
			} else {
				Game::GetInstance()->SetPlayer( Player::SIDE_BLACK, Game::AIWINBOARD, "Winboard - AI" );
			}
		}
		
		WinBoardConnection::firstMove = false;

		if ( WinBoardConnection::changeAI == true) {
			return true;
		}

	if	( ( cmdtype == WinBoardConnection::CMD_QUIT ) ||
		  ( cmdtype == WinBoardConnection::CMD_RESIGN ) ) {

		InputMove->MoveType = Move::MOVE_RESIGN;
		return true;
	}

	Board::CoordToSquare( par, &InputMove->SourceSquare, &InputMove->DestinationSquare, PawnPromotion );

	return true;
}
