// Timer.cpp: Implementierung der Klasse Timer.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Timer.h"

/***************************************************************************
 * Constructor / Destructor
 **************************************************************************/

Timer::Timer()
{
	Start();
	duration = 0;
}

Timer::~Timer()
{

}

/***************************************************************************
 * Operations
 **************************************************************************/

void Timer::sleep( clock_t msec )
{
   clock_t goal;
   goal = msec * ( CLOCKS_PER_SEC / 1000.0 ) + clock();
   while( goal > clock() );
}


void  Timer::Start()
{
	startTicks = clock();
}


float Timer::Stop()
{
	stopTicks = clock();
	duration = ( stopTicks - startTicks ) / ( float )CLOCKS_PER_SEC * 1000.0;
	return duration;
}
float Timer::GetDuration()
{
	stopTicks = clock();
	duration = ( stopTicks - startTicks ) / ( float )CLOCKS_PER_SEC * 1000.0;
	return duration;
}