// TranspositionEntry.cpp: Implementierung der Klasse TranspositionEntry.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TranspositionEntry.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

/***************************************************************************
 * Static Class members
 **************************************************************************/

const int TranspositionEntry::NULL_ENTRY = -1;

/***************************************************************************
 * Constructor / Destructor
 **************************************************************************/

TranspositionEntry::TranspositionEntry()
{
	theEvalType = NULL_ENTRY;
	theDepth  = 0;
	theEval   = 0;
	theLock   = 0;
	timeStamp = -1; 
}

TranspositionEntry::~TranspositionEntry()
{

}

// binary read of TranspositionEntry
istream& TranspositionEntry::read( istream &is ) const
{
	is.read( ( char* )this, sizeof( TranspositionEntry ) );
	return is;
}


// binary write of TranspositionEntry
ostream& TranspositionEntry::write( ostream &os ) const
{
	os.write( ( char* )this, sizeof( TranspositionEntry ) );
	return os;
}

